Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.util
Class CatalogResourceManager

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.catalog.util.CatalogResourceManager

public abstract class CatalogResourceManager
extends Object

Utility class used for accessing named Product Catalog resources within the `wlcs-catalog` `ResourceBundle` resource file.

See Also:
  `ResourceBundle`

Method Summary
`static Integer` | `getInteger(String key)` Get an Integer resource referenced by a key.
`static Enumeration` | `getKeys()` Get all the keys for the resource bundle.
`static Object` | `getObject(String key)` Get an Object resource referenced by a key.
`static PreparedStatement` | `getPreparedStatement(Connection con, String key)` Create a PreparedStatemetn from a string resource referenced by a key.
`static String` | `getString(String key)` Get a string resource referenced by a key.
`static String[]` | `getStringArray(String key)` Get a string array resource referenced by a key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public static String getString(String key)
                            throws MissingResourceException

  Get a string resource referenced by a key.

  Parameters:
    `key` - the name of the resource
  Returns:
    the resource as a String
  Throws:
    `MissingResourceException` - if the resource bundle could not be found

### getInteger

    public static Integer getInteger(String key)
                              throws MissingResourceException,
                                     NumberFormatException

  Get an Integer resource referenced by a key.

  Parameters:
    `key` - the name of the resource
  Returns:
    the resource as an Integer
  Throws:
    `MissingResourceException` - if the resource bundle could not be found
    `NumberFormatException` - if the resource specified by the key is not valid

### getPreparedStatement

    public static PreparedStatement getPreparedStatement(Connection con,
                                                         String key)
                                                  throws MissingResourceException,
                                                         SQLException

  Create a PreparedStatemetn from a string resource referenced by a key.

  Parameters:
    `con` - the Database Connection
    `key` - the name of the resource
  Returns:
    the resource as a String
  Throws:
    `MissingResourceException` - if the resource bundle could not be found
    `SQLException` - on statement preparation error

### getStringArray

    public static String[] getStringArray(String key)
                                   throws MissingResourceException

  Get a string array resource referenced by a key.

  Parameters:
    `key` - the name of the resource
  Returns:
    the resource as a String[]
  Throws:
    `MissingResourceException` - if the resource bundle could not be found

### getObject

    public static Object getObject(String key)
                            throws MissingResourceException

  Get an Object resource referenced by a key.

  Parameters:
    `key` - the name of the resource
  Returns:
    the resource as an Object
  Throws:
    `MissingResourceException` - if the resource bundle could not be found

### getKeys

    public static Enumeration getKeys()
                               throws MissingResourceException

  Get all the keys for the resource bundle.

  Returns:
    the Enumeration of keys.
  Throws:
    `MissingResourceException` - if the resource bundle could not be found

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved